Subject: Re: [PATCH v7 RESEND net-next] virtio_net: add page_pool support for buffer allocation

From: Jakub Kicinski <[email-masked]>
Date: Wed, 25 Feb 2026 17:42:39 -0800

On Tue, 24 Feb 2026 20:49:10 -0800 Vishwanath Seshagiri wrote:
> Use page_pool for RX buffer allocation in mergeable and small buffer
> modes to enable page recycling and avoid repeated page allocator calls.
> skb_mark_for_recycle() enables page reuse in the network stack.

Would you mind holding off v8 until tomorrow mid-day (and rebase then)?
There is a conflict coming in from Linus'es tree, if you post v8 today
it will most likely not apply tomorrow :(